package textures.player.attacks;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public final class CrudePickAxeAttackTextures {

	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.crudePickAxeAttackSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudePickAxeAttackSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudePickAxeAttackSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudePickAxeAttackSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.crudePickAxeAttackSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudePickAxeAttackSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudePickAxeAttackSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudePickAxeAttackSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.crudePickAxeAttackSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudePickAxeAttackSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudePickAxeAttackSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudePickAxeAttackSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.crudePickAxeAttackSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudePickAxeAttackSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudePickAxeAttackSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudePickAxeAttackSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.crudePickAxeAttackSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudePickAxeAttackSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudePickAxeAttackSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudePickAxeAttackSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.crudePickAxeAttackSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudePickAxeAttackSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudePickAxeAttackSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudePickAxeAttackSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.crudePickAxeAttackSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudePickAxeAttackSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudePickAxeAttackSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudePickAxeAttackSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.crudePickAxeAttackSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudePickAxeAttackSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudePickAxeAttackSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudePickAxeAttackSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
	
}
